###
# ~~~~~~licensing~~~~~~
# karaf-features
# ==========
# Copyright (C) 2020 - 2021 EmDev LLC
# ==========
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#      http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ~~~~~~/licensing~~~~~~
###
# адреса кластера брокеров сообщений, задаются:
# если tcp в скобках и через запятую: (tcp://192.168.122.81:61616,tcp://192.168.122.82:61616)
# если amqp с failover и в скобках через запятую: failover:(amqp://192.168.122.81:5672,amqp://192.168.122.82:5672)
common.jms.url=tcp://localhost:61616
# логин для аутентификации в брокере сообщений
common.jms.username=entaxy
# пароль для аутентификации в брокере сообщений
common.jms.password=entaxy
# максимальное количество соединений
# подробнее можно почитать здесь: https://github.com/messaginghub/pooled-jms/blob/master/pooled-jms-docs/Configuration.md
common.jms.maxConnections=20
# максимальное количество сессий для каждого соединения
# подробнее можно почитать здесь: https://github.com/messaginghub/pooled-jms/blob/master/pooled-jms-docs/Configuration.md
common.jms.maxSessionsPerConnection=100

# наименование драйвера для инициализации фабрики планировщика quartz
org.quartz.jobStore.driverDelegateClass=org.quartz.impl.jdbcjobstore.PostgreSQLDelegate

# название очереди, через которую ходят большие пакеты и файлы
common.bridge.file.queue.name=file.queue

# восстановление профилей, коннекторов и других созданных пользователем блюпринтов с помощью базы данных
is.restore.from.db=true
